require 'test_helper'

class TestCard < Test::Unit::TestCase
	def test_init
		duce_of_clubs = Ventiuna::Card.new(rank: "2", suit: "club")
		assert_equal("2", duce_of_clubs.rank)
		assert_equal("club", duce_of_clubs.suit)
	end

	def test_value
		duce_of_clubs = Ventiuna::Card.new(rank: "2", suit: "club")
		assert_equal(2, duce_of_clubs.value)

		king_of_hearts = Ventiuna::Card.new(rank: "K", suit: "heart")
		assert_equal(10, king_of_hearts.value)

		ace_of_spades = Ventiuna::Card.new(rank: "A", suit: "spade")
		assert_equal(11, ace_of_spades.value)
		assert_equal(11, ace_of_spades.value(high: true))
		assert_equal(1, ace_of_spades.value(low: true))
	end
end